import '//resources/cr_elements/cr_button/cr_button.js';
import '/shared/icon_from_table.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import type { ExtensionActionInfo } from '/shared/extensions_bar_data_model.mojom-webui.js';
export declare class ExtensionElement extends CrLitElement {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        state: {
            type: ObjectConstructor;
        };
    };
    accessor state: ExtensionActionInfo;
    protected onClick_(): void;
    protected onContextmenu_(e: Event): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'webui-toolbar-extension': ExtensionElement;
    }
}
